[Документация Yandex Cloud](../../../../index.md) > [Yandex Certificate Manager](../../../index.md) > Справочник API > REST (англ.) > [Certificate Manager Private CA API](../index.md) > [PrivateCaContent](index.md) > GetPrivateKey

# Certificate Manager Private CA API, REST: PrivateCaContent.GetPrivateKey

Returns the private key and passphrase for the specified certificate authority.

## HTTP request

```
GET https://private-ca.certificate-manager.api.cloud.yandex.net/privateca/v1/certificateAuthorities/{certificateAuthorityId}:getPrivateKey
```

## Path parameters

Request message for getting the private key of a certificate authority.

#|
||Field | Description ||
|| certificateAuthorityId | **string**

Required field. ID of the certificate authority to get the private key for.

The maximum string length in characters is 50. ||
|#

## Response {#yandex.cloud.certificatemanager.v1.privateca.GetCertificateAuthorityPrivateKeyResponse}

**HTTP Code: 200 - OK**

```json
{
  "certificateAuthorityId": "string",
  "privateKey": "string",
  "passphrase": "string"
}
```

Response message containing the private key and passphrase.

#|
||Field | Description ||
|| certificateAuthorityId | **string**

ID of the certificate authority. ||
|| privateKey | **string**

The private key in PEM format. ||
|| passphrase | **string**

The passphrase for the private key, if any. ||
|#